você está aqui: Home  → Arquivo de Mensagens

Openoffice/Libreoffice - Compatibilidade de extensões

Colaboração: Rubens Queiroz de Almeida

Data de Publicação: 25 de junho de 2013

Com relação à dica sobre o CoGroo publicada no dia 20 de junho de 2013, eu recebi um relato de que a tentativa de instalação da extensão no OpenOffice levou a instabilidades no sistema operacional. A extensão divulgada foi para a suíte LibreOffice.

A suíte de escritórios OpenOffice, após a aquisição da empresa Sun pela Oracle, se dividiu em duas vertentes: LibreOffice e OpenOffice. A marca OpenOffice foi cedida pela Oracle à fundação Apache. Embora as duas vertentes tenham por base o mesmo código, a tendência futura é que as diferenças entre elas se acentuem.

Segundo o relato, ao fazer a instalação do CoGrOO, o sistema tenta instalar alguns módulos do LibreOffice gerando incompatibilidades e inconsistências na base de dados do sistema de geranciamento de software do Ubuntu (apt). A tentativa de resolver o problema com o comando apt-get install -f não conseguiu sanar o problema e depois de várias tentativas o problema foi resolvido com o comando aptitude.

É recomendável tomar cuidado daqui para a frente com a instalação de extensões desenvolvidas para uma destas duas vertentes. A instalação pode ser bem sucedida ou então pode gerar problemas sérios de compatibilidade em seu sistema operacional. Caso você realmente precise de uma extensão, o caminho mais acertado é instalá-la na versão correta (LibreOffice ou OpenOffice), mesmo que isto represente mais trabalho.



Veja a relação completa dos artigos de Rubens Queiroz de Almeida